Subject: Re: bug#34390: package.el says "Obsolete" when it means "No Longer Used"

From: Stefan Kangas <[email-masked]>
Date: Wed, 23 Oct 2019 18:45:25 +0200

Brett Gilio <[email-masked]> writes:

> Basil L. Contovounesios writes:
>
>> [email-masked] (Phillip Lord) writes:
>>
>>> Currently package.el reports packages as "Obsolete" when this is
>>> probably not a good choice of word, as it is being interpreted as "no
>>> longer in active development".
>>>
>>> http://lists.gnu.org/archive/html/help-gnu-emacs/2019-02/msg00070.html
>>>
>>> It happens when several versions of a package are installed. Consider
>>> this report from M-x package-list-packages
>>>
>>>   dash               2.12.0        obsolete              A modern list library for Emacs
>>>   eglot 1.4 incompat gnu Client for Language Server Protocol (LSP) servers
>>>   kiwix              0.4.0         incompat   melpa-s... Kiwix interface and support.
>>>
>>>
>>> Dash is showing here are obsolete because in my installation 2.15.0 is installed.
>>>
>>>
>>>   company            0.9.9         dependency            Modular text completion framework
>>>   dash               2.15.0        dependency            A modern list library for Emacs
>>>   dash-functional 2.15.0 dependency Collection of useful combinators for Emacs
>>> Lisp
>>>   direnv             1.4.0         dependency            direnv support for emacs
>>>
>>>
>>> The problem is "obsolete" line appears quite some distance away from
>>> other line which shows dash is installed.
>>>
>>> I would suggested "installed but outdated" perhaps. Or "More Recent
>>> Version Installed". Both a bit long.
>>
>> How about "shadowed" or similar?

I think that's the wrong term, because it implies that it is currently unused.

> The Guix package manager uses a term "superseded." I quite find this
> term to be useful and nice.

I guess that could work, but I don't find it very user friendly.

How about "upgradable"?  That makes it clear that it's both installed
and that it can be upgraded.

Best regards,
Stefan Kangas